Skip to main content
GET
Get all variations

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

paramsIO
object
required

Response

OK

name
string
required

Name of the variation

siteId
integer<int64>
required

Site ID of the project the variation belongs to

color
integer<int32>

Variation color displayed in the editor

creationMode
enum<string>

Creation mode of the variation: CODE_BASE, GRAPHICAL, AI or UNDEFINED

Available options:
AI,
CODE_BASE,
GRAPHICAL,
UNDEFINED,
WIDGET
cssCode
string

Code editor CSS code for variation

customJson
string

Custom JSON for this variation

experimentId
integer<int64>
read-only

ID of the experiment this variation belongs to

expositionFrequencyDelaySecondsBetweenTwoExpositions
integer<int64>

Delay in seconds between two exposures

expositionFrequencySameVisit
integer<int32>

Frequency of exposure during the same visit

expositionFrequencySameVisitor
integer<int32>

Frequency of the exposure for the same visitor

expositionFrequencySameVisitorDelaySeconds
integer<int64>

Delay in seconds between exposure for the same visitor

forceNoFlicker
boolean
id
integer<int64>

Unique ID of the variation

isJsCodeAfterDomReady
boolean

Set to true (which is also the default value) if the code applies once the DOM is ready.

jsCode
string

Code editor javascript code for variation

personalizationId
integer<int64>
read-only

ID of the personalization this variation belongs to

prompt
object

Object that defines an autorun message in the variation. For multipart updates, pass prompt attachments metadata here and send files via multipart part attachments.

redirection
object

Redirection parameters of a variation

redirectionStrings
string
deprecated

Redirect URL used for redirecting variation. Deprecated property: use property 'redirection' instead

shadowDom
boolean

ShadowDOM option

widgetTemplateInput
string

Widget template input data in JSON format.